Qt 5.6 | Qt SQL | C++ Classes | QSqlDriverCreator

Qt 5.6.2 Reference Documentation

# QSqlDriverCreator Class

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type. More...

Header: | #include <QSqlDriverCreator>
qmake: | QT += sql
Inherits: | QSqlDriverCreatorBase

- List of all members, including inherited members

## Reimplemented Public Functions

virtual QSqlDriver * | createObject() const

- 1 public function inherited from QSqlDriverCreatorBase

## Detailed Description

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type.

QSqlDriverCreator<T> instantiates objects of type T, where T is a QSqlDriver subclass.

See QSqlDatabase::registerSqlDriver() for details.

## Member Function Documentation

### `[virtual]` QSqlDriver *QSqlDriverCreator::createObject() const

Reimplemented from QSqlDriverCreatorBase::createObject().